Subject: Re: linux-next: build failure after merge of the tpmdd tree

From: Jarkko Sakkinen <[email-masked]>
Date: Thu, 30 Mar 2023 01:05:08 +0300

On Fri, Mar 24, 2023 at 01:20:50PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> On Tue, 21 Mar 2023 11:54:13 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the tpmdd tree, today's linux-next build (arm
> > multi_v7_defconfig) failed like this:
> > 
> > drivers/char/tpm/tpm-chip.c: In function 'tpm_amd_is_rng_defective':
> > drivers/char/tpm/tpm-chip.c:531:15: error: too many arguments to function 'tpm_request_locality'
> >   531 |         ret = tpm_request_locality(chip, 0);
> >       |               ^~~~~~~~~~~~~~~~~~~~
> > drivers/char/tpm/tpm-chip.c:35:12: note: declared here
> >    35 | static int tpm_request_locality(struct tpm_chip *chip)
> >       |            ^~~~~~~~~~~~~~~~~~~~
> > 
> > Caused by commit
> > 
> >   923c8dfa9a36 ("tpm: fix build break in tpm-chip.c caused by AMD fTPM quirk")
> > 
> > I have used the tmpdd tree from next-20230320 for today.
> 
> I am still getting this build failure.
> 
> The commit above is trying to fix a build failure that does not exist
> in the tmpdd tree!
> 

Hi sorry for the latency, I got sick on Friday and was sick leave
up until Tuesday.

The offending commit has been removed.

BR, Jarkko